__gnu_cxx::__detail::_Ffit_finder< _Tp >(3)

NAME
__gnu_cxx::__detail::_Ffit_finder< _Tp > -

SYNOPSIS

Inherits std::unary_function< std::pair< _Tp, _Tp >, bool >.

  Public Types
typedef std::pair< _Tp, _Tp > argument_type
typedef bool result_type

  Public Member Functions
size_t * _M_get () const throw ()
_Counter_type _M_offset () const throw ()
bool operator() (_Block_pair __bp) throw ()

Detailed Description

  template<typename _Tp>class __gnu_cxx::__detail::_Ffit_finder< _Tp >
The class which acts as a predicate for applying the first-fit memory allocation policy for the bitmap allocator.

Definition at line 331 of file bitmap_allocator.h.

Member Typedef Documentation

  typedef std::pair< _Tp, _Tp > std::unary_function< std::pair< _Tp, _Tp > , bool >::argument_type [inherited]

argument_type is the type of the argument

Definition at line 104 of file stl_function.h.

  typedef bool std::unary_function< std::pair< _Tp, _Tp > , bool >::result_type [inherited]

result_type is the return type

Definition at line 107 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.